%define upstream_name    WWW-Mechanize-Shell
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	An interactive shell for WWW::Mechanize
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::Modified)
BuildRequires:	perl(Hook::LexWrap)
BuildRequires:	perl(HTML::TokeParser::Simple)
BuildRequires:	perl(Pod::Constants)
BuildRequires:	perl(Term::Shell)
BuildRequires:	perl(Test::Inline)
BuildRequires:	perl(Test::Without::Module)
BuildRequires:	perl(WWW::Mechanize::FormFiller)
BuildArch:	noarch


%description
This module implements a www-like shell above WWW::Mechanize
and also has the capability to output crude Perl code that recreates
the recorded session. Its main use is as an interactive starting point
for automating a session through WWW::Mechanize.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone in perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/WWW/Mechanize/Shell.pm
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.550.0-4pclos2017
- rebuild against updates

